POST /volcv/v1
Method: POSTEndpoint: /volcv/v1
https://www.volcengine.com/docs/6791/1279296For details, see the official integration documentation
Request Parameters
Query Parameters
text
Action
string
Required
Example:
CVProcess
Version
string
Required
Example:
2022-08-31Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
object
Example
{
"req_key"
:
"high_aes_scheduler_svr_controlnet_v2.0"
,
// "binary_data_base64": [],
"image_urls"
:
[
"https://xxx"
]
,
"prompt"
:
// provider-specific example normalized for English documentation
,
"model_version"
:
"general_controlnet_v2.0"
,
"seed"
:
-1
,
"scale"
:
3
,
"ddim_steps"
:
16
,
"use_rephraser"
:
true
,
"controlnet_args"
:
[
{
"type"
:
"depth"
,
"binary_data_index"
:
0
,
"strength"
:
0.6
}
]
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"logo_text_content"
:
"This is a visible watermark"
}
}Example Request
Shell
bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"req_key": "high_aes_scheduler_svr_controlnet_v2.0",
// "binary_data_base64": [],
"image_urls": [
"https://xxx"
],
"prompt": "Example prompt from provider documentation.",
"model_version": "general_controlnet_v2.0",
"seed": -1,
"scale": 3,
"ddim_steps": 16,
"use_rephraser": true,
"controlnet_args": [
{
"type": "depth",
"binary_data_index": 0,
"strength": 0.6
}
],
"return_url": true,
"logo_info": {
"add_logo": false,
"position": 0,
"language": 0,
"logo_text_content": "This is a visible watermark"
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{
"code": 10000,
"data": {
"algorithm_base_resp": {
"status_code": 0,
"status_message": "Success"
},
"binary_data_base64": [],
"image_urls": [
"https://xxxx"
],
"predict_tags_result": "",
// provider-specific example normalized for English documentation
"request_id": "0444b94371cef27e5e193dde55372f37745d887dee580898367a717d0f92f83c"
},
"message": "Success",
"request_id": "202501132006376AA642D2FBD42465DF60",
"status": 10000,
"time_elapsed": "5.861744206s"
}